Subject: Re: WindowMaker with Cygwin NetRelease & W2kPro
From: Adrian Carter <[email-masked]>
To: Charles Wilson <[email-masked]>
Cc: [email-masked]
Date: Tue, 27 Mar 2001 19:13:13 +1000

Thanks for the various replies. Big thanks to Kevin Wright who was first 
in  with the correct answer.

Survey Says, to make WindowMaker-0.60.0 work in the latest Cygwin you must 
download the source, unpack it and make it.

Thankfully, it builds OOB, however, it still needs (or at least here did) 
some kludging to get it to present a useful interface. None of the 
applications work 100% and I can't get themes working correctly, as it 
seems to be using a strange color pallete reminiscent of Netscape 2.0 
installs on linux 4 years ago... its there, but the pallete's shifted like 
10 or 12 colors and its got about half the pallete it should have. I tried 
starting X with 1024x768x24 but this produces a DirectDraw error. x16 Im 
gathering does not provide a deep enough pallete for the themes Im using.

One other annoying thing is regardless of if I use the startxwin.bat from 
W2k Explorer or if I startx from a bash prompt, it will not alt-tab to 
windows without crashing.

If anyone has any further suggestions to help with the above, please drop 
me a line! =)

Thanks guys!

Adrian
(Another happy Cygwin user from here on out...)

I guess im going to have to dust off my X skills and build some menus that 
work and go forth and install all the X tools I need.

At 12:26 AM 27/03/2001 -0500, Charles Wilson wrote:
>It looks like WindowMaker was compiled using DLL's that are even OLDER
>than the ones I provide (for backward compatability only) in
>old-dlls.tar.gz.  Unfortunately, unless the site where you got
>WindowMaker also distributes the appropriate versions of the dlls (such
>as libz.dll) you're out of luck. :-(
>
>I seem to recall that WindowMaker builds OOB (but I haven't done it
>myself), so you could try to build WindowMaker yourself (and thus
>linking to the latest dlls...)
>
>--Chuck
>
>P.S. rebuilding libpng probably won't help (unless you're extremely
>lucky).  You need to rebuild WindowMaker.
>
>Adrian Carter wrote:
> >
> > G'Day all
> >          Ive downloaded and installed Cygwin useing setup.exe, downloaded
> > and installed the Xfree binaries, donwloaded the contrib directory and am
> > trying to instal windowmaker... however, I get an error reporting
> > libpng.dll couldnt be found.
> >          I couldnt locate one anywhere in the install, so I downloaded some
> > 'old-dlls.tar.gz' file that I found via a search, and this worked, except I
> > now get:
> > "The procedure entry point ingflateInit_ could not be located in the DLL
> > libz.dll"
> >
> > Anyone shed some light or can offer me some hints? Thanks in advance
> >
> > adrian
> >
> > @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
> > Adrian Carter                              [email-masked]
> > Senior Systems Engineer                   [email-masked]
> > Lidcam Sydney                            Voice:(61) 2 9922-7066
> > Suite 5, Lvl 11, 100 Walker St             Fax:(61) 2 9922-7071
> > North Sydney, NSW, 2060               http://www.lidcam.com.au/
> >
> > --
> > Want to unsubscribe from this list?
> > Check out: http://cygwin.com/ml/#unsubscribe-simple
>
>--
>Want to unsubscribe from this list?
>Check out: http://cygwin.com/ml/#unsubscribe-simple

@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
Adrian Carter                              [email-masked]
Senior Systems Engineer                   [email-masked]
Lidcam Sydney                            Voice:(61) 2 9922-7066
Suite 5, Lvl 11, 100 Walker St             Fax:(61) 2 9922-7071
North Sydney, NSW, 2060               http://www.lidcam.com.au/

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple